# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.idp.saml.metadata.impl.ScopeFilter
Modifier and Type
Constant Field
Value
`private static final String`
`GUARD_VALUE`
`"_EMPTY"`

net.shibboleth.idp.saml.security.KeyAuthoritySupport
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_AUTHORITY_VERIFY_DEPTH_DEFAULT`
`1`

net.shibboleth.idp.saml.security.impl.MetadataPKIXValidationInformationResolver
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_AUTHORITY_VERIFY_DEPTH_DEFAULT`
`1`

net.shibboleth.idp.saml.xml.SAMLConstants
Modifier and Type
Constant Field
Value
`public static final String`
`SAML1_ATTR_NAMESPACE_URI`
`"urn:mace:shibboleth:1.0:attributeNamespace:uri"`
`public static final String`
`SAML1_NAMEID_TRANSIENT`
`"urn:mace:shibboleth:1.0:nameIdentifier"`
`public static final String`
`SAML1_REQUEST_BINDING`
`"urn:mace:shibboleth:1.0:profiles:AuthnRequest"`

net.shibboleth.idp.saml.xmlobject.ExtensionsConstants
Modifier and Type
Constant Field
Value
`public static final String`
`SHIB_MDEXT10_NS`
`"urn:mace:shibboleth:metadata:1.0"`
`public static final String`
`SHIB_MDEXT10_PREFIX`
`"shibmd"`
`public static final String`
`SHIB_MDEXT10_SCHEMA_LOCATION`
`"/schema/shibboleth-metadata-1.0.xsd"`
net.shibboleth.idp.saml.xmlobject.KeyAuthority
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"KeyAuthority"`
`public static final String`
`VERIFY_DEPTH_ATTRIB_NAME`
`"VerifyDepth"`
net.shibboleth.idp.saml.xmlobject.Scope
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
`"Scope"`
`public static final String`
`REGEXP_ATTRIB_NAME`
`"regexp"`
net.shibboleth.idp.saml.xmlobject.ScopedValue
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_LOCAL_NAME`
`"ScopedValue"`

net.shibboleth.spring.metadata.AbstractDynamicHTTPMetadataProviderParser
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_CONNECTION_REQUEST_TIMEOUT`
`"PT5S"`
`private static final String`
`DEFAULT_CONNECTION_TIMEOUT`
`"PT5S"`
`private static final String`
`DEFAULT_RESPONSE_TIMEOUT`
`"PT5S"`
`private static final String`
`DEFAULT_SOCKET_TIMEOUT`
`"PT5S"`
net.shibboleth.spring.metadata.AbstractMetadataProviderParser
Modifier and Type
Constant Field
Value
`public static final String`
`METADATA_NAMESPACE`
`"urn:mace:shibboleth:2.0:metadata"`
`public static final String`
`SECURITY_NAMESPACE`
`"urn:mace:shibboleth:2.0:security"`
net.shibboleth.spring.metadata.DynamicHTTPMetadataProviderParser
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_VELOCITY_ENGINE_REF`
`"shibboleth.VelocityEngine"`
net.shibboleth.spring.metadata.HTTPMetadataProvidersParserSupport
Modifier and Type
Constant Field
Value
`public static final String`
`METADATA_URL`
`"metadataURL"`

net.shibboleth.spring.security.SecurityNamespaceHandler
Modifier and Type
Constant Field
Value
`public static final String`
`SECURITY_NAMESPACE`
`"urn:mace:shibboleth:2.0:security"`